NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Weld::WeldJointBuilder Class Reference

Used to create or edit a NXOpen::Weld::WeldJoint feature. More...

Inheritance diagram for NXOpen::Weld::WeldJointBuilder:
NXOpen::Weld::StructureWeldBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Weld::JointExitBuilder

Classes

struct  JointMidPointData
 Joint evaluation information at the mid point. More...
 

Public Types

enum  Application { ApplicationStructureWelding, ApplicationRouting }
 Application where joints are created. More...
 
enum  CoordinateSystem { CoordinateSystemAbsolute, CoordinateSystemShip }
 Coordinate system specification. More...
 
enum  DestinationTypes { DestinationTypesWorkPart, DestinationTypesNewComponent }
 Where to create new joints. More...
 
enum  SplitTypes {
  SplitTypesEqualSegments, SplitTypesLimits, SplitTypesAngle, SplitTypesComputedAngle,
  SplitTypesLength, SplitTypesNone, SplitTypesSkip
}
 Joint splitting options. More...
 
enum  Types { TypesCreateAutomatic, TypesCreateManual, TypesCreateMultiple, TypesCreateAttributes }
 Creation method. More...
 
enum  WeldTypes {
  WeldTypesAny, WeldTypesGroove, WeldTypesFillet, WeldTypesCorner,
  WeldTypesLap, WeldTypesSocket, WeldTypesMechanical, WeldTypesSleeve,
  WeldTypesBoss
}
 Weld types. More...
 

Public Member Functions

void AddCharacteristicsInheritaceInformation ()
 Add welding characteristics inheritance information. More...
 
bool AssociativeSplit ()
 Returns whether split joints should be associative
Created in NX11.0.0. More...
 
NXOpen::ScCollectorBackingFace ()
 Returns the backing face. More...
 
NXOpen::LineColorFontWidthBuilderBossColorFontWidth ()
 Returns the color, font, and width of the boss joint curves. More...
 
int ButtColor ()
 Returns the color for butt weld type joints
Created in NX8.0.0. More...
 
NXOpen::LineColorFontWidthBuilderButtColorFontWidth ()
 Returns the color, font, and width of the butt joint curves. More...
 
NXOpen::DisplayableObject::ObjectFont ButtFont ()
 Returns the curve font for butt weld type joints
Created in NX8.0.0. More...
 
NXOpen::DisplayableObject::ObjectWidth ButtWidth ()
 Returns the curve with for butt weld type joints
Created in NX8.0.0. More...
 
bool CombineConnectedJoints ()
 Returns the indication to combine connected joints if they belong to the same body
Created in NX9.0.2. More...
 
void CopyLimits (NXOpen::Die::DieLimitsBuilder *limits)
 Copy input limits to builder limits
Created in NX8.5.0. More...
 
NXOpen::LineColorFontWidthBuilderCornerColorFontWidth ()
 Returns the color, font, and width of the corner joint curves. More...
 
NXOpen::Weld::WeldJointBuilder::Application CreatedApplication ()
 Returns the application where joint is created
Created in NX10.0.0. More...
 
NXOpen::CurveCreateLimitsPath (NXOpen::Curve *jointCurve)
 Creates the path to be used for the limits. More...
 
NXOpen::Weld::WeldJointBuilder::Types CreateMethod ()
 Returns the creation method
Created in NX8.0.0. More...
 
void CreateSingleJointFromFeature (NXOpen::Curve *featureCurve, bool updateBuilder)
 Creates a joint from a feature. More...
 
void Delete ()
 Deletes all joints set by NXOpen::Weld::WeldJointBuilder::Joint . More...
 
void DeleteAllUnMarkedJoints ()
 Deletes any joints that were not marked with a call to NXOpen::Weld::WeldJointBuilder::MarkJointsToKeep . More...
 
void DeleteCharacteristicsInheritaceInformation ()
 Delete welding characteristics inheritance information. More...
 
NXOpen::Weld::WeldJointBuilder::DestinationTypes Destination ()
 Returns the destination to create new joints
Created in NX8.0.0. More...
 
bool DuplicateCheck ()
 Returns the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0. More...
 
int FilletColor ()
 Returns the color for T-joint weld type joints
Created in NX8.0.0. More...
 
NXOpen::DisplayableObject::ObjectFont FilletFont ()
 Returns the curve font for T-joint weld type joints
Created in NX8.0.0. More...
 
NXOpen::DisplayableObject::ObjectWidth FilletWidth ()
 Returns the curve with for T-joint weld type joints
Created in NX8.0.0. More...
 
void FindPortsInParts (const std::vector< NXOpen::Part * > &parts, std::vector< NXOpen::Routing::Port * > &ports)
 Gets ports from the parts. More...
 
double GetAngleBetween ()
 Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces. More...
 
void GetConnectedParts (std::vector< NXOpen::Assemblies::Component * > &parts)
 Gets connected parts for joint. More...
 
bool GetIsLongPoint ()
 Gets the long point status. More...
 
bool GetJointChanged (NXOpen::Curve *curve)
 Indicates whether joint was changed. More...
 
NXOpen::Die::DieLimitsBuilderGetJointLimits (NXOpen::Curve *curve)
 Get the limits of an individual joint. More...
 
bool GetMidPointInformation (NXOpen::Weld::WeldJointBuilder::CoordinateSystem desiredCoordinateSystem, NXOpen::Weld::WeldJointBuilder::JointMidPointData *jointMidPointData)
 Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies. More...
 
void GetNewlyCreatedJoints (std::vector< NXOpen::Curve * > &curves, std::vector< NXOpen::Weld::JointItemBuilder * > &newItemBuilder)
 Gets the NXOpen::Weld::JointItemBuilder objects and curves which were just created by NXOpen::Weld::WeldJointBuilder::ShowJoints . More...
 
double GetPrimaryThickness (NXOpen::Curve *curve)
 Gets the primary thickness for a specified joint. More...
 
double GetSecondaryThickness (NXOpen::Curve *curve)
 Gets the primary secondary for a specified joint. More...
 
NXOpen::Weld::JointItemBuilderGetSingleJoint (NXOpen::Curve *curve)
 Gets the NXOpen::Weld::JointItemBuilder object associated to the input curve. More...
 
void GetVariableBevelAngles (std::vector< double > &variableAngles)
 Gets variable bevel angles. More...
 
bool IsCornerOpen ()
 Returns status value of true if corner joint is an open case which means the placement face only touches the target face at the master edge. More...
 
bool IsPipeJoint ()
 Returns status value of true if this is a pipe welding joint. More...
 
NXOpen::SelectCurveListJoint ()
 Returns the welding joint curves. More...
 
NXOpen::Weld::JointItemBuilderListJointList ()
 Returns the list of NXOpen::Weld::JointItemBuilder objects. More...
 
NXString JointPrefix ()
 Returns the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX11.0.0. More...
 
NXOpen::LineColorFontWidthBuilderLapColorFontWidth ()
 Returns the color, font, and width of the lap joint curves. More...
 
NXOpen::Die::DieLimitsBuilderListLimitList ()
 Returns the list of limit builders. More...
 
NXOpen::Die::DieLimitsBuilderLimits ()
 Returns the limits of the joint curve span. More...
 
void MarkJointsToKeep ()
 Marks all currently created welding joints so they do not get deleted when NXOpen::Weld::WeldJointBuilder::DeleteAllUnMarkedJoints is called from the dialog. More...
 
NXOpen::ScCollectorMasterEdge ()
 Returns the master edge of a fillet weld. More...
 
double MaximumFaceGap ()
 Returns the maximum face gap used when determining if two bodies intersect. More...
 
NXOpen::LineColorFontWidthBuilderMechanicalColorFontWidth ()
 Returns the color, font, and width of the mechanical joint curves. More...
 
NXString NamePrefix ()
 Returns the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0. More...
 
NXOpen::Weld::JointItemBuilderNewItem ()
 Creates a NXOpen::Weld::JointItemBuilder object. More...
 
int NumberSegments ()
 Returns the number of segments to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesEqualSegments . More...
 
NXOpen::ScCollectorPlacementFace ()
 Returns the placement face of a fillet weld. More...
 
NXOpen::ScCollectorPrimaryEdge ()
 Returns the primary edge of a butt weld. More...
 
NXOpen::ScCollectorPrimaryFace ()
 Returns the primary face of a butt weld. More...
 
NXOpen::ScCollectorSecondaryEdge ()
 Returns the secondary edge of a butt weld. More...
 
NXOpen::ScCollectorSecondaryFace ()
 Returns the secondary face of a butt weld. More...
 
void SetAssociativeSplit (bool status)
 Sets whether split joints should be associative
Created in NX11.0.0. More...
 
void SetButtColor (int color)
 Sets the color for butt weld type joints
Created in NX8.0.0. More...
 
void SetButtFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the curve font for butt weld type joints
Created in NX8.0.0. More...
 
void SetButtWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the curve with for butt weld type joints
Created in NX8.0.0. More...
 
void SetCallbackMessage (const NXString &message)
 Sets a message to display after callback processing ends
Created in NX8.5.0. More...
 
void SetCallbackMessage (const char *message)
 Sets a message to display after callback processing ends
Created in NX8.5.0. More...
 
void SetCombineConnectedJoints (bool status)
 Sets the indication to combine connected joints if they belong to the same body
Created in NX9.0.2. More...
 
void SetCreatedApplication (NXOpen::Weld::WeldJointBuilder::Application application)
 Sets the application where joint is created
Created in NX8.0.0. More...
 
void SetCreateMethod (NXOpen::Weld::WeldJointBuilder::Types type)
 Sets the creation method
Created in NX8.0.0. More...
 
void SetDestination (NXOpen::Weld::WeldJointBuilder::DestinationTypes type)
 Sets the destination to create new joints
Created in NX8.0.0. More...
 
void SetDuplicateCheck (bool status)
 Sets the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0. More...
 
void SetErrorMessage (const NXString &message)
 Sets an error message to display
Created in NX8.5.0. More...
 
void SetErrorMessage (const char *message)
 Sets an error message to display
Created in NX8.5.0. More...
 
void SetFilletColor (int color)
 Sets the color for T-joint weld type joints
Created in NX8.0.0. More...
 
void SetFilletFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the curve font for T-joint weld type joints
Created in NX8.0.0. More...
 
void SetFilletWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the curve with for T-joint weld type joints
Created in NX8.0.0. More...
 
void SetJointChanged (NXOpen::Curve *curve, bool changed)
 Indicate that joint was changed. More...
 
void SetJointPrefix (const NXString &prefix)
 Sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX8.5.0. More...
 
void SetJointPrefix (const char *prefix)
 Sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX8.5.0. More...
 
void SetMaximumFaceGap (double gapValue)
 Sets the maximum face gap used when determining if two bodies intersect. More...
 
void SetNamePrefix (const NXString &prefix)
 Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0. More...
 
void SetNamePrefix (const char *prefix)
 Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0. More...
 
void SetNumberSegments (int numberSegments)
 Sets the number of segments to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesEqualSegments . More...
 
void SetSpacingLength (double length)
 Sets the spacing length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip . More...
 
void SetSplitAngle (double angle)
 Sets the split angle to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesAngle . More...
 
void SetSplitLength (double length)
 Sets the segment length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip . More...
 
void SetSplitOption (NXOpen::Weld::WeldJointBuilder::SplitTypes option)
 Sets the method used to split the joint
Created in NX8.0.0. More...
 
void SetSubsetPart (NXOpen::Part *part)
 Sets the subset part where Design Control Elements are to be created
Created in NX9.0.1. More...
 
void SetType (NXOpen::Weld::WeldJointBuilder::Types type)
 Sets the creation type
Created in NX8.0.0. More...
 
void SetVariableBevelAngles (const std::vector< double > &variableAngles)
 This method is for use with the variable bevel callback. More...
 
void SetWeldType (NXOpen::Weld::WeldJointBuilder::WeldTypes type)
 Sets the weld type
Created in NX8.0.0. More...
 
void SetWorkPart (NXOpen::Part *part)
 Sets the saved work part
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectListShipComponent ()
 Returns the components on which the welding joints will be created. More...
 
void ShowJoints ()
 Show joints will create joints using the method set by NXOpen::Weld::WeldJointBuilder::Types . More...
 
NXOpen::LineColorFontWidthBuilderSleeveColorFontWidth ()
 Returns the color, font, and width of the sleeve joint curves. More...
 
NXOpen::LineColorFontWidthBuilderSocketColorFontWidth ()
 Returns the color, font, and width of the socket joint curves. More...
 
double SpacingLength ()
 Returns the spacing length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip . More...
 
void Split ()
 Splits all joints set by NXOpen::Weld::WeldJointBuilder::Joint defined by NXOpen::Weld::WeldJointBuilder::SplitTypes . More...
 
double SplitAngle ()
 Returns the split angle to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesAngle . More...
 
double SplitLength ()
 Returns the segment length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip . More...
 
NXOpen::Weld::WeldJointBuilder::SplitTypes SplitOption ()
 Returns the method used to split the joint
Created in NX8.0.0. More...
 
NXOpen::PartSubsetPart ()
 Returns the subset part where Design Control Elements are to be created
Created in NX9.0.1. More...
 
NXOpen::ScCollectorTargetFace ()
 Returns the target face of a fillet weld. More...
 
NXOpen::LineColorFontWidthBuilderTJointColorFontWidth ()
 Returns the color, font, and width of the T-joint curves. More...
 
NXOpen::Weld::WeldJointBuilder::Types Type ()
 Returns the creation type
Created in NX8.0.0. More...
 
void UpdateCollectors (NXOpen::Curve *jointCurve)
 Updates the main collectors by copying data from Joint. More...
 
void UpdateJointAfterLimitsChange ()
 Updates the joint curve after the limits change. More...
 
void UpdateJointAfterLimitsChange (NXOpen::Die::DieLimitsBuilder *limits)
 Updates the joint curve after the limits change. More...
 
void UpdateJointType (NXOpen::Weld::WeldJointBuilder::WeldTypes type)
 Updates all joints set by NXOpen::Weld::WeldJointBuilder::Joint to have the given type. More...
 
NXOpen::Weld::CharacteristicsBuilderWeldingCharacteristics ()
 Returns the collection of welding characteristics defined by attributes. More...
 
NXOpen::Weld::WeldJointBuilder::WeldTypes WeldType ()
 Returns the weld type
Created in NX8.0.0. More...
 
NXOpen::PartWorkPart ()
 Returns the saved work part
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Weld::StructureWeldBuilder
std::vector
< NXOpen::Assemblies::Component * > 
GetCommittedComponents ()
 This method returns the component parts that are created by Builder::Commit . More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Used to create or edit a NXOpen::Weld::WeldJoint feature.


To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateJointBuilder
Default values.

Property Value

NumberSegments

2

SplitAngle

5.0


Created in NX8.0.0.

Member Enumeration Documentation

Application where joints are created.

Enumerator
ApplicationStructureWelding 

Structure Welding Application.

ApplicationRouting 

Routing Application.

Coordinate system specification.

Enumerator
CoordinateSystemAbsolute 

Desired points and vectors should be in absolute coordinates.

CoordinateSystemShip 

Desired points and vectors should be in ship coordinate system.

Where to create new joints.

Enumerator
DestinationTypesWorkPart 

Create new joints in work part.

DestinationTypesNewComponent 

Create a new componenent for each joint under the work part.

Joint splitting options.

Enumerator
SplitTypesEqualSegments 

Specified number of equal segments.

SplitTypesLimits 

At limits defined by NXOpen::Weld::WeldJointBuilder::LimitList .

SplitTypesAngle 

At specifed angle.

SplitTypesComputedAngle 

At angle computed from geometry and tables.

SplitTypesLength 

At equal arc length.

SplitTypesNone 

No split.

SplitTypesSkip 

Skip joint.

Creation method.

Enumerator
TypesCreateAutomatic 

Automatic weld joint creation.

TypesCreateManual 

Manual weld joint creation.

TypesCreateMultiple 

Create multiple weld joints from manual input.

TypesCreateAttributes 

Create weld joints from attributed ship structures data.

Weld types.

Enumerator
WeldTypesAny 

Any Joint type.

WeldTypesGroove 

Groove joint.

WeldTypesFillet 

T-Joint.

WeldTypesCorner 

Corner joint.

WeldTypesLap 

Lap joint.

WeldTypesSocket 

Socket joint for pipe welding.

WeldTypesMechanical 

Mechanical joint for pipe welding.

WeldTypesSleeve 

Sleeve joint for pipe welding.

WeldTypesBoss 

Boss joint for pipe welding.

Member Function Documentation

void NXOpen::Weld::WeldJointBuilder::AddCharacteristicsInheritaceInformation ( )

Add welding characteristics inheritance information.


Created in NX10.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

bool NXOpen::Weld::WeldJointBuilder::AssociativeSplit ( )

Returns whether split joints should be associative
Created in NX11.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::BackingFace ( )

Returns the backing face.

This should only be used when creating a NXOpen::Weld::WeldJoint feature. When editing a feature the NXOpen::Weld::JointItemBuilder::BackingFace of the NXOpen::Weld::JointItemBuilder should be used to access the data.
Created in NX9.0.0.

License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::BossColorFontWidth ( )

Returns the color, font, and width of the boss joint curves.


Created in NX10.0.0.

License requirements : None

int NXOpen::Weld::WeldJointBuilder::ButtColor ( )

Returns the color for butt weld type joints
Created in NX8.0.0.



License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::ButtColorFontWidth ( )

Returns the color, font, and width of the butt joint curves.


Created in NX9.0.0.

License requirements : None

NXOpen::DisplayableObject::ObjectFont NXOpen::Weld::WeldJointBuilder::ButtFont ( )

Returns the curve font for butt weld type joints
Created in NX8.0.0.



License requirements : None

NXOpen::DisplayableObject::ObjectWidth NXOpen::Weld::WeldJointBuilder::ButtWidth ( )

Returns the curve with for butt weld type joints
Created in NX8.0.0.



License requirements : None

bool NXOpen::Weld::WeldJointBuilder::CombineConnectedJoints ( )

Returns the indication to combine connected joints if they belong to the same body
Created in NX9.0.2.



License requirements : None

void NXOpen::Weld::WeldJointBuilder::CopyLimits ( NXOpen::Die::DieLimitsBuilder limits)

Copy input limits to builder limits
Created in NX8.5.0.



License requirements : None

Parameters
limitslimits to copy
NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::CornerColorFontWidth ( )

Returns the color, font, and width of the corner joint curves.


Created in NX9.0.0.

License requirements : None

NXOpen::Weld::WeldJointBuilder::Application NXOpen::Weld::WeldJointBuilder::CreatedApplication ( )

Returns the application where joint is created
Created in NX10.0.0.



License requirements : None

NXOpen::Curve* NXOpen::Weld::WeldJointBuilder::CreateLimitsPath ( NXOpen::Curve jointCurve)

Creates the path to be used for the limits.

Returns
Resulting path.
Created in NX8.0.0.

License requirements : None
Parameters
jointCurveJoint curve used to create path.
NXOpen::Weld::WeldJointBuilder::Types NXOpen::Weld::WeldJointBuilder::CreateMethod ( )

Returns the creation method
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::WeldJointBuilder::CreateSingleJointFromFeature ( NXOpen::Curve featureCurve,
bool  updateBuilder 
)

Creates a joint from a feature.


Created in NX8.0.0.

License requirements : None

Parameters
featureCurveWeld Joint feature curve
updateBuilderindicates where builder should be updated with information from the feature
void NXOpen::Weld::WeldJointBuilder::Delete ( )

Deletes all joints set by NXOpen::Weld::WeldJointBuilder::Joint .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

void NXOpen::Weld::WeldJointBuilder::DeleteAllUnMarkedJoints ( )

Deletes any joints that were not marked with a call to NXOpen::Weld::WeldJointBuilder::MarkJointsToKeep .


Created in NX8.5.0.

License requirements : structure_weld ("STRUCTURE WELD")

void NXOpen::Weld::WeldJointBuilder::DeleteCharacteristicsInheritaceInformation ( )

Delete welding characteristics inheritance information.


Created in NX10.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

NXOpen::Weld::WeldJointBuilder::DestinationTypes NXOpen::Weld::WeldJointBuilder::Destination ( )

Returns the destination to create new joints
Created in NX8.0.0.



License requirements : None

bool NXOpen::Weld::WeldJointBuilder::DuplicateCheck ( )

Returns the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0.



License requirements : None

int NXOpen::Weld::WeldJointBuilder::FilletColor ( )

Returns the color for T-joint weld type joints
Created in NX8.0.0.



License requirements : None

NXOpen::DisplayableObject::ObjectFont NXOpen::Weld::WeldJointBuilder::FilletFont ( )

Returns the curve font for T-joint weld type joints
Created in NX8.0.0.



License requirements : None

NXOpen::DisplayableObject::ObjectWidth NXOpen::Weld::WeldJointBuilder::FilletWidth ( )

Returns the curve with for T-joint weld type joints
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::WeldJointBuilder::FindPortsInParts ( const std::vector< NXOpen::Part * > &  parts,
std::vector< NXOpen::Routing::Port * > &  ports 
)

Gets ports from the parts.


Created in NX10.0.0.

License requirements : None

Parameters
partsthe parts used to find the ports.
portsthe collection of ports in the parts
double NXOpen::Weld::WeldJointBuilder::GetAngleBetween ( )

Gets the angle between the fillet weld mold faces, and the target faces, or butt weld primary and secondary faces.

Returns

Created in NX8.0.0.

License requirements : None
void NXOpen::Weld::WeldJointBuilder::GetConnectedParts ( std::vector< NXOpen::Assemblies::Component * > &  parts)

Gets connected parts for joint.

Only connected parts that are partially or fully loaded will be returned. Any components that are unloaded will not be returned.
Created in NX9.0.1.

License requirements : None

Parameters
partsparts
bool NXOpen::Weld::WeldJointBuilder::GetIsLongPoint ( )

Gets the long point status.

A long point indicates only trimming and no extension is needed to to meeting the body being welded to.

Returns

Created in NX8.0.0.

License requirements : None
bool NXOpen::Weld::WeldJointBuilder::GetJointChanged ( NXOpen::Curve curve)

Indicates whether joint was changed.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curveJoint curve to check
NXOpen::Die::DieLimitsBuilder* NXOpen::Weld::WeldJointBuilder::GetJointLimits ( NXOpen::Curve curve)

Get the limits of an individual joint.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curvecurve
bool NXOpen::Weld::WeldJointBuilder::GetMidPointInformation ( NXOpen::Weld::WeldJointBuilder::CoordinateSystem  desiredCoordinateSystem,
NXOpen::Weld::WeldJointBuilder::JointMidPointData jointMidPointData 
)

Gets the joint curve mid point, tangent, and face normals at the mid point from the primary and secondary bodies.

Returns
Equals true if data was returned.
Created in NX8.5.0.

License requirements : None
Parameters
desiredCoordinateSystemCoordinate system of data returned in jointMidPointData
jointMidPointDataThe joint mid point, tangent and face normals.
void NXOpen::Weld::WeldJointBuilder::GetNewlyCreatedJoints ( std::vector< NXOpen::Curve * > &  curves,
std::vector< NXOpen::Weld::JointItemBuilder * > &  newItemBuilder 
)

Gets the NXOpen::Weld::JointItemBuilder objects and curves which were just created by NXOpen::Weld::WeldJointBuilder::ShowJoints .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
curvescurves
newItemBuildernewitembuilder
double NXOpen::Weld::WeldJointBuilder::GetPrimaryThickness ( NXOpen::Curve curve)

Gets the primary thickness for a specified joint.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curvecurve
double NXOpen::Weld::WeldJointBuilder::GetSecondaryThickness ( NXOpen::Curve curve)

Gets the primary secondary for a specified joint.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curvecurve
NXOpen::Weld::JointItemBuilder* NXOpen::Weld::WeldJointBuilder::GetSingleJoint ( NXOpen::Curve curve)

Gets the NXOpen::Weld::JointItemBuilder object associated to the input curve.

Returns

Created in NX8.0.0.

License requirements : None
Parameters
curveJoint curve
void NXOpen::Weld::WeldJointBuilder::GetVariableBevelAngles ( std::vector< double > &  variableAngles)

Gets variable bevel angles.

This method is for use with the variable bevel callback.
Created in NX8.5.0.

License requirements : None

Parameters
variableAnglesvariableangles
bool NXOpen::Weld::WeldJointBuilder::IsCornerOpen ( )

Returns status value of true if corner joint is an open case which means the placement face only touches the target face at the master edge.

Returns

Created in NX9.0.1.

License requirements : None
bool NXOpen::Weld::WeldJointBuilder::IsPipeJoint ( )

Returns status value of true if this is a pipe welding joint.

Returns

Created in NX10.0.0.

License requirements : None
NXOpen::SelectCurveList* NXOpen::Weld::WeldJointBuilder::Joint ( )

Returns the welding joint curves.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::JointItemBuilderList* NXOpen::Weld::WeldJointBuilder::JointList ( )

Returns the list of NXOpen::Weld::JointItemBuilder objects.

When editing a NXOpen::Weld::WeldJoint the NXOpen::Weld::WeldJointBuilder::Joint should be used to access the output curves of the feature. NXOpen::Weld::WeldJointBuilder::GetSingleJoint is then used to access the NXOpen::Weld::JointItemBuilder from the curve.
Created in NX8.0.0.

License requirements : None

NXString NXOpen::Weld::WeldJointBuilder::JointPrefix ( )

Returns the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX11.0.0.



License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::LapColorFontWidth ( )

Returns the color, font, and width of the lap joint curves.


Created in NX9.0.0.

License requirements : None

NXOpen::Die::DieLimitsBuilderList* NXOpen::Weld::WeldJointBuilder::LimitList ( )

Returns the list of limit builders.


Created in NX8.0.0.

License requirements : None

NXOpen::Die::DieLimitsBuilder* NXOpen::Weld::WeldJointBuilder::Limits ( )

Returns the limits of the joint curve span.


Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::MarkJointsToKeep ( )

Marks all currently created welding joints so they do not get deleted when NXOpen::Weld::WeldJointBuilder::DeleteAllUnMarkedJoints is called from the dialog.


Created in NX8.5.0.

License requirements : structure_weld ("STRUCTURE WELD")

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::MasterEdge ( )

Returns the master edge of a fillet weld.

This should only be used when creating a NXOpen::Weld::WeldJoint feature. When editing a feature the NXOpen::Weld::JointItemBuilder::MasterEdge of the NXOpen::Weld::JointItemBuilder should be used to access the data.
Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::WeldJointBuilder::MaximumFaceGap ( )

Returns the maximum face gap used when determining if two bodies intersect.


Created in NX9.0.0.

License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::MechanicalColorFontWidth ( )

Returns the color, font, and width of the mechanical joint curves.


Created in NX9.0.0.

License requirements : None

NXString NXOpen::Weld::WeldJointBuilder::NamePrefix ( )

Returns the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.



License requirements : None

NXOpen::Weld::JointItemBuilder* NXOpen::Weld::WeldJointBuilder::NewItem ( )

Creates a NXOpen::Weld::JointItemBuilder object.

Returns

Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")
int NXOpen::Weld::WeldJointBuilder::NumberSegments ( )

Returns the number of segments to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesEqualSegments .


Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::PlacementFace ( )

Returns the placement face of a fillet weld.

For example, on a profile it is the face that touches the plate. This should only be used when creating a NXOpen::Weld::WeldJoint feature. When editing a feature the NXOpen::Weld::JointItemBuilder::PlacementFace of the NXOpen::Weld::JointItemBuilder should be used to access the data.
Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::PrimaryEdge ( )

Returns the primary edge of a butt weld.

This should only be used when creating a NXOpen::Weld::WeldJoint feature. When editing a feature the NXOpen::Weld::JointItemBuilder::PrimaryEdge of the NXOpen::Weld::JointItemBuilder should be used to access the data.
Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::PrimaryFace ( )

Returns the primary face of a butt weld.

This should only be used when creating a NXOpen::Weld::WeldJoint feature. When editing a feature the NXOpen::Weld::JointItemBuilder::PrimaryFace of the NXOpen::Weld::JointItemBuilder should be used to access the data.
Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::SecondaryEdge ( )

Returns the secondary edge of a butt weld.

This should only be used when creating a NXOpen::Weld::WeldJoint feature. When editing a feature the NXOpen::Weld::JointItemBuilder::SecondaryEdge of the NXOpen::Weld::JointItemBuilder should be used to access the data.
Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::SecondaryFace ( )

Returns the secondary face of a butt weld.

This should only be used when creating a NXOpen::Weld::WeldJoint feature. When editing a feature the NXOpen::Weld::JointItemBuilder::SecondaryFace of the NXOpen::Weld::JointItemBuilder should be used to access the data.
Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::SetAssociativeSplit ( bool  status)

Sets whether split joints should be associative
Created in NX11.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
statusstatus
void NXOpen::Weld::WeldJointBuilder::SetButtColor ( int  color)

Sets the color for butt weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
colorcolor
void NXOpen::Weld::WeldJointBuilder::SetButtFont ( NXOpen::DisplayableObject::ObjectFont  font)

Sets the curve font for butt weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
fontfont
void NXOpen::Weld::WeldJointBuilder::SetButtWidth ( NXOpen::DisplayableObject::ObjectWidth  width)

Sets the curve with for butt weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
widthwidth
void NXOpen::Weld::WeldJointBuilder::SetCallbackMessage ( const NXString message)

Sets a message to display after callback processing ends
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
void NXOpen::Weld::WeldJointBuilder::SetCallbackMessage ( const char *  message)

Sets a message to display after callback processing ends
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
void NXOpen::Weld::WeldJointBuilder::SetCombineConnectedJoints ( bool  status)

Sets the indication to combine connected joints if they belong to the same body
Created in NX9.0.2.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
statusstatus
void NXOpen::Weld::WeldJointBuilder::SetCreatedApplication ( NXOpen::Weld::WeldJointBuilder::Application  application)

Sets the application where joint is created
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
applicationapplication
void NXOpen::Weld::WeldJointBuilder::SetCreateMethod ( NXOpen::Weld::WeldJointBuilder::Types  type)

Sets the creation method
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
void NXOpen::Weld::WeldJointBuilder::SetDestination ( NXOpen::Weld::WeldJointBuilder::DestinationTypes  type)

Sets the destination to create new joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
void NXOpen::Weld::WeldJointBuilder::SetDuplicateCheck ( bool  status)

Sets the indication to not allow new joints to be created if they are duplicates of exising joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
statusstatus
void NXOpen::Weld::WeldJointBuilder::SetErrorMessage ( const NXString message)

Sets an error message to display
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
void NXOpen::Weld::WeldJointBuilder::SetErrorMessage ( const char *  message)

Sets an error message to display
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
void NXOpen::Weld::WeldJointBuilder::SetFilletColor ( int  color)

Sets the color for T-joint weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
colorcolor
void NXOpen::Weld::WeldJointBuilder::SetFilletFont ( NXOpen::DisplayableObject::ObjectFont  font)

Sets the curve font for T-joint weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
fontfont
void NXOpen::Weld::WeldJointBuilder::SetFilletWidth ( NXOpen::DisplayableObject::ObjectWidth  width)

Sets the curve with for T-joint weld type joints
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
widthwidth
void NXOpen::Weld::WeldJointBuilder::SetJointChanged ( NXOpen::Curve curve,
bool  changed 
)

Indicate that joint was changed.


Created in NX8.0.0.

License requirements : None

Parameters
curveJoint curve to check
changedchanged
void NXOpen::Weld::WeldJointBuilder::SetJointPrefix ( const NXString prefix)

Sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
prefixprefix
void NXOpen::Weld::WeldJointBuilder::SetJointPrefix ( const char *  prefix)

Sets the prefix for the weld ID attribute, and the prefix for the name of the component if NXOpen::Weld::WeldJointBuilder::DestinationTypes is NXOpen::Weld::WeldJointBuilder::DestinationTypesNewComponent
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
prefixprefix
void NXOpen::Weld::WeldJointBuilder::SetMaximumFaceGap ( double  gapValue)

Sets the maximum face gap used when determining if two bodies intersect.


Created in NX9.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
gapValuegapvalue
void NXOpen::Weld::WeldJointBuilder::SetNamePrefix ( const NXString prefix)

Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
prefixprefix
void NXOpen::Weld::WeldJointBuilder::SetNamePrefix ( const char *  prefix)

Sets the prefix used for the welding joint Design Feature name in Collaborative Product Development mode
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
prefixprefix
void NXOpen::Weld::WeldJointBuilder::SetNumberSegments ( int  numberSegments)

Sets the number of segments to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesEqualSegments .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
numberSegmentsnumbersegments
void NXOpen::Weld::WeldJointBuilder::SetSpacingLength ( double  length)

Sets the spacing length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip .


Created in NX9.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
lengthlength
void NXOpen::Weld::WeldJointBuilder::SetSplitAngle ( double  angle)

Sets the split angle to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesAngle .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
angleangle
void NXOpen::Weld::WeldJointBuilder::SetSplitLength ( double  length)

Sets the segment length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
lengthlength
void NXOpen::Weld::WeldJointBuilder::SetSplitOption ( NXOpen::Weld::WeldJointBuilder::SplitTypes  option)

Sets the method used to split the joint
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
optionoption
void NXOpen::Weld::WeldJointBuilder::SetSubsetPart ( NXOpen::Part part)

Sets the subset part where Design Control Elements are to be created
Created in NX9.0.1.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
partpart
void NXOpen::Weld::WeldJointBuilder::SetType ( NXOpen::Weld::WeldJointBuilder::Types  type)

Sets the creation type
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
void NXOpen::Weld::WeldJointBuilder::SetVariableBevelAngles ( const std::vector< double > &  variableAngles)

This method is for use with the variable bevel callback.


Created in NX8.0.0.

License requirements : None

Parameters
variableAnglesthe variable angles.
void NXOpen::Weld::WeldJointBuilder::SetWeldType ( NXOpen::Weld::WeldJointBuilder::WeldTypes  type)

Sets the weld type
Created in NX8.0.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
void NXOpen::Weld::WeldJointBuilder::SetWorkPart ( NXOpen::Part part)

Sets the saved work part
Created in NX8.5.0.



License requirements : structure_weld ("STRUCTURE WELD")

Parameters
partpart
NXOpen::SelectNXObjectList* NXOpen::Weld::WeldJointBuilder::ShipComponent ( )

Returns the components on which the welding joints will be created.

Used when NXOpen::Weld::WeldJointBuilder::Types . is set to NXOpen::Weld::WeldJointBuilder::TypesCreateAutomatic or NXOpen::Weld::WeldJointBuilder::TypesCreateAttributes After setting the components, NXOpen::Weld::WeldJointBuilder::ShowJoints should be called to create the welding joints.
Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::ShowJoints ( )
NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::SleeveColorFontWidth ( )

Returns the color, font, and width of the sleeve joint curves.


Created in NX10.0.0.

License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::SocketColorFontWidth ( )

Returns the color, font, and width of the socket joint curves.


Created in NX9.0.0.

License requirements : None

double NXOpen::Weld::WeldJointBuilder::SpacingLength ( )

Returns the spacing length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip .


Created in NX9.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::Split ( )

Splits all joints set by NXOpen::Weld::WeldJointBuilder::Joint defined by NXOpen::Weld::WeldJointBuilder::SplitTypes .


Created in NX8.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

double NXOpen::Weld::WeldJointBuilder::SplitAngle ( )

Returns the split angle to divide a joint when using NXOpen::Weld::WeldJointBuilder::SplitTypesAngle .


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::WeldJointBuilder::SplitLength ( )

Returns the segment length when using NXOpen::Weld::WeldJointBuilder::SplitTypesSkip .


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::WeldJointBuilder::SplitTypes NXOpen::Weld::WeldJointBuilder::SplitOption ( )

Returns the method used to split the joint
Created in NX8.0.0.



License requirements : None

NXOpen::Part* NXOpen::Weld::WeldJointBuilder::SubsetPart ( )

Returns the subset part where Design Control Elements are to be created
Created in NX9.0.1.



License requirements : None

NXOpen::ScCollector* NXOpen::Weld::WeldJointBuilder::TargetFace ( )

Returns the target face of a fillet weld.

For example, the plate face that the profile lies on. This should only be used when creating a NXOpen::Weld::WeldJoint feature. When editing a feature the NXOpen::Weld::JointItemBuilder::TargetFace of the NXOpen::Weld::JointItemBuilder should be used to access the data.
Created in NX8.0.0.

License requirements : None

NXOpen::LineColorFontWidthBuilder* NXOpen::Weld::WeldJointBuilder::TJointColorFontWidth ( )

Returns the color, font, and width of the T-joint curves.


Created in NX9.0.0.

License requirements : None

NXOpen::Weld::WeldJointBuilder::Types NXOpen::Weld::WeldJointBuilder::Type ( )

Returns the creation type
Created in NX8.0.0.



License requirements : None

void NXOpen::Weld::WeldJointBuilder::UpdateCollectors ( NXOpen::Curve jointCurve)

Updates the main collectors by copying data from Joint.


Created in NX8.0.0.

License requirements : None

Parameters
jointCurveJoint curve to use to update collectors
void NXOpen::Weld::WeldJointBuilder::UpdateJointAfterLimitsChange ( )

Updates the joint curve after the limits change.


Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::WeldJointBuilder::UpdateJointAfterLimitsChange ( NXOpen::Die::DieLimitsBuilder limits)

Updates the joint curve after the limits change.


Created in NX8.0.0.

License requirements : None

Parameters
limitslimits that changed
void NXOpen::Weld::WeldJointBuilder::UpdateJointType ( NXOpen::Weld::WeldJointBuilder::WeldTypes  type)

Updates all joints set by NXOpen::Weld::WeldJointBuilder::Joint to have the given type.


Created in NX9.0.0.

License requirements : structure_weld ("STRUCTURE WELD")

Parameters
typetype
NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::WeldJointBuilder::WeldingCharacteristics ( )

Returns the collection of welding characteristics defined by attributes.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::WeldJointBuilder::WeldTypes NXOpen::Weld::WeldJointBuilder::WeldType ( )

Returns the weld type
Created in NX8.0.0.



License requirements : None

NXOpen::Part* NXOpen::Weld::WeldJointBuilder::WorkPart ( )

Returns the saved work part
Created in NX8.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.